Skip to content

Acknowledge edge configuration

POST /api/v1/edge-protocol/devices/{device_id}/configuration-acknowledgments

Authentication options declared in the contract include device-scoped appliance credential.

Authentication and permissions explains tokens, cookies, CSRF, and workspace context.

Name Location Required Type Description and constraints
device_id path Yes string (uuid)

Required.

application/json — EdgeConfigurationAck.

Field Type Required Description and constraints
revision integer (int64) Yes minimum 1.0. maximum 9007199254740991.0
sha256 string Yes pattern ^[0-9a-f]{64}$
status string Yes values "applied", "rejected"
reason string or null No

Set the connection variables described in Get started. Replace each additional EOI_… variable with the parameter value for this request. Prepare the body file using the request schema above. This template sends the request when run.

Terminal window
curl --fail-with-body --silent --show-error \
--request POST \
--header "Authorization: Bearer ${EOI_EDGE_TOKEN}" \
--header "Content-Type: application/json" \
--data-binary @request.json \
"${EOI_API_BASE_URL}/edge-protocol/devices/${EOI_DEVICE_ID}/configuration-acknowledgments"

The table records responses declared by the OpenAPI contract. See Errors and status codes for the runtime error envelope and shared failures.

Status Description Media type Body
204 Successful Response — Empty body
422 Validation Error application/json HTTPValidationError

Operation identifier acknowledgeEdgeConfiguration. Browse Device protocol.

Image preview